@charset "UTF-8";

/* ===================================
	File Name   : visit.css
	Description : Visit Page CSS
	Editor      : Bface Nakamura
  Last Editor : Bface Nakamura
	
	Update Description :
  [2026/05/18] CPDプログラム追加
	[2026/04/28] 新規作成
====================================== */

/*========== Style Contents ==========

	1. Redefinition
  2. Section [visit_intro]
  3. Section [visit_howto]
  4. Section [visit_cpd]
====================================== */



/*===== 1. Redefinition =====*/

/*===== 2. Section [visit_intro]  =====*/
#visit_intro {
  >div:first-of-type {
    padding: 2rem;
    background: var(--GCl);
    >ul:first-of-type {
      display: flex;
      gap: 1.5rem;
      justify-content: center;
      >li {
        position: relative;
        background: #fff;
        padding: 1rem;
        width: calc(25% - 1rem);
        font-weight: 700;
        display: flex;
        justify-content: space-between;
        align-items: center;
        span {
          margin-left: .5rem;
          flex-shrink: 0;
          img {
            width: 10rem;
            height: 10rem;
            object-fit: cover;
            border-radius: 50%;
          }
        }
      }
    }
  }
  >p {
    margin-top: 3rem;
    color: #c00;
    font-weight: bold;
    font-size: 2.4rem;
    text-align: center;
  }
  .arrow_down {
    position: relative;
    vertical-align: middle;
    text-decoration: none;

    &::before {
      position: absolute;
      margin: auto;
      vertical-align: middle;
      content: "";
      top: -3rem;
      right: 50%;
      transform: translateX(50%);
      box-sizing: border-box;
      border: 45px solid transparent;
      border-top: 25px solid #ededed;
    }
  }

  @media (max-width: 768px) {
    >div:first-of-type {
      >ul:first-of-type {
        flex-direction: column;
        gap: 1.5rem;
        >li {
          width: 100%;
          span {
            img {
              width: 8rem;
              height: 8rem;
            }
          }
        }
      }
    }
    >p {
      font-size: 1.8rem;
    }
  }
}



/*===== 3. Section [visit_howto]  =====*/
#visit_howto {
  .card_wrapper {
    position: relative;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 3rem;

    dl.card_general {
      position: relative;
      display: grid;
      grid-template-rows: subgrid;
      grid-row: span 3;

      &:not(:last-child)::after,
      &:not(:last-child)::before {
        position: absolute;
        top: 0;
        bottom: 0;
        margin: auto;
        content: "";
        vertical-align: middle;
        z-index: 2;
      }

      &:not(:last-child)::before {
        width: 5.5rem;
        height: 5.5rem;
        right: -4.5rem;
        border-radius: 50%;
        background: #ccc;
      }

      &:not(:last-child)::after {
        right: -3.6rem;
        box-sizing: border-box;
        width: 1rem;
        height: 1rem;
        border: 1rem solid transparent;
        border-left: 1.5rem solid #fff;
      }
    }

    dt {
      display: flex;
      flex-direction: column;
      padding: 2rem;
      font-size: 1.8rem;
      font-weight: bold;
      text-align: center;

      span {
        background: var(--dominantC);
        color: var(--baseC);
        display: inline-block;
        margin: 0 auto 1rem;
        padding: 1rem 2rem;
        font-size: 1.6rem;
      }
    }

    dd:last-of-type {
      margin: 0 .3rem .3rem;
      padding: 3rem;
      background: var(--GCl);

      span {
        font-size: 1.2rem;
        line-height: 1;
      }
    }

    figure {
      max-width: 25rem;
      margin-inline: auto;
      padding: 0 4rem 2rem;
    }
  }



  @media (max-width: 768px) {
    .card_wrapper {
      grid-template-columns: 1fr;
      gap: 3rem;

      dl.card_general {
        gap: 0;

        &:not(:last-child)::before {
          right: 50%;
          transform: translateX(50%);
          bottom: -4.2rem;
          top: auto;
          border-radius: 50%;
          background: #ccc;
        }

        &:not(:last-child)::after {
          right: 50%;
          transform: translateX(50%);
          box-sizing: border-box;
          top: auto;
          bottom: -3.6rem;
          border: 1rem solid transparent;
          border-top: 1.5rem solid #fff;
        }
      }

      dd:last-of-type  {
        padding: 2rem;
      }
    }
    .card_basic {
      li {margin: 0 0 1rem 0 ;}
    }
  }
}


/*===== 4. Section [visit_cpd]  =====*/
#visit_cpd,#visit_cpds {
  dl {
    position: relative;
    display: flex;
    justify-content: space-between;
    border-bottom: .2rem solid var(--GCd);
    padding: .5rem .7rem;
    margin-bottom: 3rem;

    &::after,
    &::before {
      position: absolute;
      bottom: 0;
      width: .2rem;
      height: 1rem;
      background: var(--GCd);
      content: "";
    }
    &::before { left: 0; }
    &::after { right: 0; }

    dt {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 25%;
      padding: 1.5rem 1rem;
      background: var(--GCd);
      color: var(--baseC);
      font-weight: 700;
      font-size: 1.6rem;
      text-align: center;
    }

    dd {
      display: flex;
      flex-direction: column;
      justify-content: center;
      flex: 1;
      margin-left: 2rem;
      font-size: 1.8rem;

      em {
        margin-top: .5rem;
        font-size: 1.4rem;
      }
      
      span {
        position: absolute;
        top: 100%;
        right: calc(50% - 3rem);
        border-top: 2rem solid #ccc;
        border-right: 3rem solid transparent;
        border-left: 3rem solid transparent;
        z-index: -1;
        content: '';
      }
    }
  }
}

@media (max-width: 768px){
  #schedule {
    dl {
      display: block;
      width: 100%;
      padding: 1rem;
      border-bottom: .2rem solid var(--GCd);
      margin-bottom: 2rem;

      &::after,
      &::before {
        width: .2rem;
        height: 1rem;
      }

      dt {
        display: block;
        width: 100%;
        margin-bottom: 1rem;
        padding: 1.5rem 1rem;
        font-size: 1.6rem;
      }

      dd {
        margin-left: 0;
        font-weight: bold;
        font-size: 1.6rem;
        text-align: center;

        em {
          display: block;
          text-align: left;
        }
        span {
          position: absolute;
          right: calc(50% - 2rem);
          border-top: 1.5rem solid #ccc;
          border-right: 2rem solid transparent;
          border-left: 2rem solid transparent;
        }
      }
    }
  }
}